Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157993 - Can't execute "hdparm -tT /dev/hda"
Summary: Can't execute "hdparm -tT /dev/hda"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 17:43 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-20 14:00:06 UTC


Attachments (Terms of Use)

Description sangu 2005-05-17 17:43:05 UTC
Description of problem:
$hdparm -tT /dev/hda Password: 
/dev/hda:
could not attach sharedmem buf: Permission denied
could not attach sharedmem buf: Permission denied

in dmesg
[...]
audit(1116351499.016:0): avc:  denied  { read write } for  path=/SYSV00000000
(deleted) dev=tmpfs ino=622608 scontext=root:system_r:fsadm_t
tcontext=root:object_r:tmpfs_t tclass=file
audit(1116351499.016:0): avc:  denied  { read write } for  path=/SYSV00000000
(deleted) dev=tmpfs ino=655376 scontext=root:system_r:fsadm_t
tcontext=root:object_r:tmpfs_t tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.16-1

How reproducible:
always

Steps to Reproduce:
1. $hdparm -tT /dev/hda
2.
3.
  
Actual results:


Expected results:


Additional info:
hdparm-5.9-1

Comment 1 Daniel Walsh 2005-05-18 18:02:48 UTC
Fixed in selinux-policy-targeted-1.23.16-4


Note You need to log in before you can comment on or make changes to this bug.